CSVUploads
Query parameters
projectIdstringOptional
Optional. If not given, then default project is used
Responses
200
List of CSV Uploads
application/json
destinationTablestringRequiredExample:
orders_rawdestinationSchemastringRequiredExample:
omsfileSetstringOptionalExample:
orders_datacreateTimenumberRequiredExample:
1660439099000updateTimenumberRequiredExample:
1660445539000get
/csvuploads200
List of CSV Uploads
Path parameters
destinationTablestringRequired
name of the destinationTable
Query parameters
projectIdstringOptional
Optional. If not given, then default project is used
Responses
200
Details about the CSV Upload
application/json
destinationTablestringRequiredExample:
orders_rawdestinationSchemastringRequiredExample:
omsfileSetstringOptionalExample:
orders_datacreateTimenumberRequiredExample:
1660439099000updateTimenumberRequiredExample:
1660445539000get
/csvuploads/{destinationTable}200
Details about the CSV Upload
Path parameters
dataImportNamestringRequired
name of the dataImport
destinationTablestringRequired
name of the destinationTable
Query parameters
projectIdstringOptional
Optional. If not given, then default project is used
Body
filestringOptional
Responses
200
Details about the created csv upload
application/json
destinationTablestringRequiredExample:
orders_rawdestinationSchemastringRequiredExample:
omsfileSetstringOptionalExample:
orders_datacreateTimenumberRequiredExample:
1660439099000updateTimenumberRequiredExample:
1660445539000post
/csvuploads/{dataImportName}/{destinationTable}200
Details about the created csv upload
Path parameters
dataImportNamestringRequired
name of the dataImport
destinationTablestringRequired
name of the destinationTable
Query parameters
projectIdstringOptional
Optional. If not given, then default project is used
Body
filestringOptional
Responses
200
Details about the updated csv upload
application/json
destinationTablestringRequiredExample:
orders_rawdestinationSchemastringRequiredExample:
omsfileSetstringOptionalExample:
orders_datacreateTimenumberRequiredExample:
1660439099000updateTimenumberRequiredExample:
1660445539000put
/csvuploads/{dataImportName}/{destinationTable}200
Details about the updated csv upload
Sample Create Request
Last updated